/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __ALIENS_HEADER__
#define __ALIENS_HEADER__

#include <qpe/qpemenubar.h>
#include <qmainwindow.h>
#include <qpopupmenu.h>
#include "GameWidget.h"

class Aliens : public QMainWindow
{
    Q_OBJECT

public:
    Aliens(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Aliens();

private:
    void readConfig(void);
    void writeConfig(void);

private:
    GameWidget *m_game;
    QPopupMenu *m_modeMenu;
    int m_mode;

protected slots:
    void updateMode(int iq);
};

#endif // __ALIENS_HEADER__

